MAT2(1)

NAME
mat2 - the metadata anonymisation toolkit 2

SYNOPSIS
mat2 [-h] [-v] [-l] [-c] [-s | -L] [files [files ...]]

DESCRIPTION
mat2 removes metadata from various fileformats. It supports a wide variety of file formats, audio, office, images, … Careful, mat2 does not clean files in-place, instead, it will produce a file with the word "cleaned" between the filename and its extension, for example "filename.cleaned.png" for a file named "filename.png".

OPTIONS

  positional arguments:

files
    the files to process

  optional arguments:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

-l, --list
    list all supported fileformats

fB-c, --check-dependencies
    check if MAT2 has all the dependencies it needs

-s, --show
    list harmful metadata detectable by MAT2 without removing them

-L, --lightweight
    remove SOME metadata

EXAMPLES
To remove all the metadata from a PDF file:

    mat2 ./myfile.pdf

BUGS
While mat2 does its very best to remove every single metadata, it's still in beta, and some might remain. Should you encounter some issues, check the bugtracker: https://0xacab.org/jvoisin/mat2/issues

Please use accordingly and be careful.

AUTHOR
This software was made by Julien (jvoisin) Voisin with the support of the Tails project.

COPYRIGHT
This software is released on LGPLv3.

SEE ALSO
exiftool(1p) pdf-redact-tools(1)